> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Commit an already generated quote

> This endpoint allows you to commit a generated quote from the `POST /quote/user` or `POST /quote/bridge-swap/user` endpoints so that it is picked up and tracked by the Rhino.fi system.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json post /quote/commit/{quoteId}
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /quote/commit/{quoteId}:
    post:
      tags:
        - quote
      summary: Commit an already generated quote
      description: >-
        This endpoint allows you to commit a generated quote from the `POST
        /quote/user` or `POST /quote/bridge-swap/user` endpoints so that it is
        picked up and tracked by the Rhino.fi system.
      operationId: quote.commitQuote
      parameters:
        - name: quoteId
          in: path
          schema:
            type: string
            description: >-
              The unique identifier of the quote as generated in `POST
              /quote/user` or `POST /quote/bridge-swap/user`, e.g.
              "6717e3a9c1a2b4d5e6f78901".
          required: true
          description: >-
            The unique identifier of the quote as generated in `POST
            /quote/user` or `POST /quote/bridge-swap/user`, e.g.
            "6717e3a9c1a2b4d5e6f78901".
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - quoteId
                properties:
                  quoteId:
                    type: string
                    description: >-
                      The unique identifier of this quote. Submit this in the
                      `POST /quote/commit/{quoteId}` endpoint to commit the
                      quote.
                additionalProperties: false
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: QuoteNotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteNotFound'
        '422':
          description: InvalidRequest
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidRequest'
                  - $ref: '#/components/schemas/DestinationValidationFailed'
        '429':
          description: TooManyRequests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
        '503':
          description: DestinationValidationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DestinationValidationUnavailable'
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    QuoteNotFound:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - QuoteNotFound
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    DestinationValidationFailed:
      type: object
      required:
        - message
        - failures
        - _tag
      properties:
        message:
          type: string
        failures:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/DestinationValidationFailure'
        _tag:
          type: string
          enum:
            - DestinationValidationFailed
      additionalProperties: false
    TooManyRequests:
      type: object
      required:
        - message
        - retryAfter
        - _tag
      properties:
        message:
          type: string
        retryAfter:
          type: number
        _tag:
          type: string
          enum:
            - TooManyRequests
      additionalProperties: false
    DestinationValidationUnavailable:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - DestinationValidationUnavailable
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    DestinationValidationFailure:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          enum:
            - ACCOUNT_NOT_FOUND
            - TRUSTLINE_MISSING
            - TRUSTLINE_NOT_AUTHORIZED
            - TRUSTLINE_INSUFFICIENT_LIMIT
            - MEMO_REQUIRED
        message:
          type: string
      additionalProperties: false
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````